# -*- perl -*-
use lib qw(t lib);
use strict;
use warnings;
use Test::More tests => 3;

use_ok 'TestRedirect';
my $t = new TestRedirect('rewrite', mono => 1);
is_deeply([$t->errors],[]);
is $t->result,<<EOT;
RewriteRule "^/source/siste lenke" /last [L,R=301,NE]
RewriteRule "^/source/første lenke" /first [L,R=301,NE]
EOT
;
__DATA__
/source/f%C3%B8rste%20lenke,/first
/source/siste lenke,/last
